:root {
  --background-1: #faf2ff;
  --background-2: #201c4d;
  --white: #fff;
  --shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}

body {
  background-color: var(--background-1);
}

main {
  position: relative;
  height: 80vh;
}

main > section {
  background-color: var(--white);
  width: 50%;
  box-shadow: var(--shadow);
  border-radius: 10px;
  padding: 1rem 2rem 1.5rem 2rem;
}

main > section h3 {
  font-weight: 600;
  color: var(--background-2);
  margin-bottom: 2rem;
}

main > section .inputs-container {
  margin-bottom: 2rem;
}

main > section .inputs-container.error input {
  border: 1px solid #ec0000;
}

main > section .inputs-container * {
  width: 100%;
}

main > section .inputs-container label {
  text-align: left;
  padding-left: 0.5rem;
  margin-bottom: 0;
  color: #201c4d;
  font-size: 16px;
}

main > section .inputs-container input {
  padding: 0.5rem;
  outline: none;
}

main > section .inputs-container p {
  text-align: left;
  color: #ec0000;
  font-size: 14px;
  padding-left: 0.2rem;
  line-height: 18px;
}

main > section .btn-send {
  width: max-content;
  border: none;
  border-radius: 4px;
  padding: 0.3rem 0.8rem;
  color: #fff;
  background-color: #201c4d;
  box-shadow: var(--shadow);
  transition: all 0.2s;
}

main > section .btn-send:hover {
  opacity: 0.6;
}

main > section #aside-left {
  opacity: 0;
  margin-left: -50%;
  animation: desplace;
  animation-duration: 0.5s;
  animation-fill-mode: forwards;
}

@keyframes desplace {
  60% {
    opacity: 0;
    margin-left: -50%;
  }
  100% {
    opacity: 1;
    margin-left: 0%;
  }
}

main > section > aside > p {
  margin-bottom: 2rem;
  color: var(--background-2);
  font-weight: 600;
  animation: scale;
  animation-duration: 0.5s;
  animation-fill-mode: forwards;
}

main > section > aside > img {
  width: 50px;
  height: 50px;
  animation: scale;
  animation-duration: 0.5s;
  animation-fill-mode: forwards;
}

@keyframes scale {
  0% {
    transform: scale(0);
  }
  100% {
    transform: scale(1);
  }
}

main > section .img-recovery {
  width: 100%;
  height: 100%;
  max-width: 400px;
  max-height: 400px;
}

/* ! LOADER */
.custom-loader {
  width: 30px;
  height: 30px;
  border-radius: 50%;
  background: radial-gradient(farthest-side, #766df4 94%, #0000) top/8px 8px no-repeat,
    conic-gradient(#0000 30%, #766df4);
  -webkit-mask: radial-gradient(farthest-side, #0000 calc(100% - 5px), #000 0);
  animation: s3 1s infinite linear;
}

/* ! VALIDATE PASSWORD */
.calc-password {
  width: 13.7rem;
}

.line-password {
  padding: 0.2rem;
}

.line-password.no-selected {
  opacity: 0.4;
}

#message-validator {
  margin-bottom: 0;
  font-size: 13px;
  line-height: 15px;
  color: #bb2929;
  width: 100%;
  margin-top: 0.5rem;
}

#low-password {
  background-color: #ff3344;
}

#medium-password {
  background-color: #ff8800;
}

#hard-password {
  background-color: #15aa38;
}

@keyframes s3 {
  100% {
    transform: rotate(1turn);
  }
}

@media (min-width: 320px) and (max-width: 480px) {
  main > section {
    width: 90%;
  }
}

@media (min-width: 480px) and (max-width: 767px) {
  main > section {
    width: 70%;
  }
}

@media (min-width: 767px) and (max-width: 992px) {
  main > section {
    width: 80%;
  }
}

@media (min-width: 992px) and (max-width: 1200px) {
  main > section {
    width: 60%;
  }
}

@media (max-width: 1200px) {
  main {
    height: 100vh;
  }
}
